<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>cn.sam</groupId>
    <artifactId>SamService</artifactId>
    <version>1.0-SNAPSHOT</version>
  </parent>
  <artifactId>SamLims-web</artifactId>
  <packaging>jar</packaging>
  <name>SamLims-web</name>
  <properties> 
        <start-class>cn.web.WebApplication</start-class>
        <docker.image.prefix>samapp</docker.image.prefix>
        <push.image>false</push.image>
   </properties>
   <dependencies>
       <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-facade</artifactId>
        </dependency>
        <!-- 供日志文件用-->
        <dependency>
    		<groupId>org.codehaus.janino</groupId>
    	    <artifactId>janino</artifactId>
		</dependency>
    </dependencies>
    <build>
        <finalName>${project.artifactId}</finalName>
        <filters>
            <filter>${props}</filter>
        </filters>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <fork>true</fork>
                    <jvmArguments>-Dfile.encoding=UTF-8</jvmArguments>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>